LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 02-12-2018, 03:30 AM   #16
GazL
Senior Member
 
Registered: May 2008
Posts: 4,754
Blog Entries: 14

Original Poster
Rep: Reputation: Disabled

1. Create a ridiculous build system that ensures that no on wants to build your program from source.
2. Remove support for the native sound interface from your official binary releases.
3. Add more cowbell.
4. Profit.


Mozilla have some very odd ideas at times. I wouldn't be surprised to find it only ran under Gnome before too long.

It's no wonder they've lost a significant amount of their market share.
 
Old 02-13-2018, 01:06 AM   #17
elcore
Member
 
Registered: Sep 2014
Distribution: Slackware
Posts: 528

Rep: Reputation: Disabled
Apparently, a project fork is easier to maintain and support than the original project, because corporate bureaucracy.
And while some bug reports are important, others are just not relevant.

Quote:
Originally Posted by Pixxt View Post
they asked for people to step up and a maintain the ALSA stack in the codebase but no one wants to put their money were their mouth is.
This is not true, people have stepped up to maintain it.
Attached Thumbnails
Click image for larger version

Name:	bug.png
Views:	63
Size:	37.1 KB
ID:	26985  
 
1 members found this post helpful.
Old 02-13-2018, 01:44 AM   #18
enorbet
Senior Member
 
Registered: Jun 2003
Location: Virginia
Distribution: Slackware = Main OpSys for decades while testing others to keep up
Posts: 1,957

Rep: Reputation: 1855Reputation: 1855Reputation: 1855Reputation: 1855Reputation: 1855Reputation: 1855Reputation: 1855Reputation: 1855Reputation: 1855Reputation: 1855Reputation: 1855
Also, FWIW, Firefox ESR still has alsa enabled as does PaleMoon, iirc.
 
1 members found this post helpful.
Old 02-16-2018, 11:16 AM   #19
aaazen
Member
 
Registered: Dec 2009
Posts: 357

Rep: Reputation: 213Reputation: 213Reputation: 213
There is a patch to fix alsa sound in Firefox 58

You guys give up to easy. There is a simple patch to fix the problem and it will be applied to Firefox 59:

https://bugzilla.mozilla.org/show_bug.cgi?id=1430274

Code:
# HG changeset patch
# User Harald van Dijk <harald@gigawatt.nl>

Bug 1430274 - Define MOZ_ALSA for more source files.


diff --git a/security/sandbox/linux/moz.build b/security/sandbox/linux/moz.build
index 7347659..3b4d405 100644
--- a/security/sandbox/linux/moz.build
+++ b/security/sandbox/linux/moz.build
@@ -77,6 +77,9 @@ if CONFIG['MOZ_GMP_SANDBOX']:
         'SandboxOpenedFiles.cpp',
     ]
 
+if CONFIG['MOZ_ALSA']:
+    DEFINES['MOZ_ALSA'] = True
+
 # This copy of SafeSPrintf doesn't need to avoid the Chromium logging
 # dependency like the one in libxul does, but this way the behavior is
 # consistent.  See also the comment in SandboxLogging.h.
 
Old 02-28-2018, 06:03 AM   #20
linuxbawks
Member
 
Registered: Apr 2013
Distribution: Snuckware
Posts: 240

Rep: Reputation: 17
Yet again repeated and consistent mental blocks when it comes to implementing tiny changes that blatantly state the obvious.
 
Old 02-28-2018, 01:29 PM   #21
enorbet
Senior Member
 
Registered: Jun 2003
Location: Virginia
Distribution: Slackware = Main OpSys for decades while testing others to keep up
Posts: 1,957

Rep: Reputation: 1855Reputation: 1855Reputation: 1855Reputation: 1855Reputation: 1855Reputation: 1855Reputation: 1855Reputation: 1855Reputation: 1855Reputation: 1855Reputation: 1855
Well, aazen, that would be useful perhaps if I could get Firefox to complete compiling from source. I've spent many hours on Arch, Debian and Slackware trying to do just that and failed on each distro. FWIW, though it is possible I'm creating my own problems, I am no newbie to compiling from source since I've been doing it regularly since ~1998 and every install of Slackware on every box I own gets a custom kernel then and still. It is my understanding that Mozilla has yet to "smooth out" the implementation of RUST so maybe this will improve when it does, but for now it is a major pita.

It's so odd it is almost funny but I actually don't mind systemd all that much considering my initial horror at it but I have come to DESPISE pulseaudio.

Last edited by enorbet; 02-28-2018 at 01:31 PM.
 
1 members found this post helpful.
Old 03-02-2018, 05:15 PM   #22
aaazen
Member
 
Registered: Dec 2009
Posts: 357

Rep: Reputation: 213Reputation: 213Reputation: 213
Quote:
Originally Posted by enorbet View Post
Well, aazen, that would be useful perhaps if I could get Firefox to complete compiling from source. I've spent many hours on Arch, Debian and Slackware trying to do just that and failed on each distro. FWIW, though it is possible I'm creating my own problems, I am no newbie to compiling from source since I've been doing it regularly since ~1998 and every install of Slackware on every box I own gets a custom kernel then and still. It is my understanding that Mozilla has yet to "smooth out" the implementation of RUST so maybe this will improve when it does, but for now it is a major pita.

It's so odd it is almost funny but I actually don't mind systemd all that much considering my initial horror at it but I have come to DESPISE pulseaudio.
I compiled using Slackware64 current on an AMD box. It took a long time, twice as long as a Linux kernel compile.

I used the plain Rust, GCC, etc packages that come with current.

The alsa patch that I posted earlier is gzipped and called "alsa.patch.gz".

Here are my changes to the original mozilla-firefox.SlackBuild:
Code:
--- mozilla-firefox.SlackBuild.orig	2018-02-13 11:03:49.000000000 -0800
+++ mozilla-firefox.SlackBuild	2018-02-16 05:31:57.801870337 -0800
@@ -31,7 +31,7 @@
 # For example, to build a version of Firefox with Italian support, run
 # the build script like this:
 #
-# MOZLOCALIZE=it ./mozilla-firefox.SlackBuild
+# MOZLOCALIZE=it /bin/sh ./mozilla-firefox.SlackBuild
 #
 MOZLOCALIZE=${MOZLOCALIZE:-}
 
@@ -137,7 +137,7 @@
 mkdir -p $TMP $PKG/usr/lib${LIBDIRSUFFIX}
 
 # We need to use the incredibly ancient autoconf-2.13 for this  :/
-( cd $CWD/autoconf ; ./autoconf.build )
+( cd $CWD/autoconf ; /bin/sh ./autoconf.build )
 PATH=$TMP/autoconf-tmp/usr/bin:$PATH
 
 cd $TMP
@@ -168,6 +168,10 @@
 # mimeTypes.rdf inside the package directory later
 # zcat $CWD/mozilla-firefox-mimeTypes-fix.diff.gz | patch -p1 || exit 1
 
+# Patch alsa not working in version 58
+# https://bugzilla.mozilla.org/show_bug.cgi?id=1430274
+zcat $CWD/alsa.patch.gz | patch -p1 || exit 1
+
 chown -R root:root .
 find . \
   \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -253,16 +257,16 @@
   # Launch Xvfb to let the profile scripts run in a X session.
   # Ugly note: if the build breaks you may want to do a "killall Xvfb".
   Xvfb -nolisten tcp -extension GLX -screen 0 1280x1024x24 $DISPLAY &
-  dbus-launch --exit-with-session ./mach build || exit 1
+  dbus-launch --exit-with-session /bin/sh ./mach build || exit 1
   kill $! || true
 else
   # Do a normal build
   echo "ac_add_options --disable-tests" >> .mozconfig
-  ./mach build || exit 1
+  /bin/sh ./mach build || exit 1
 fi
 
-./mach buildsymbols || exit 1
-DESTDIR=$PKG ./mach install || exit 1
+/bin/sh ./mach buildsymbols || exit 1
+DESTDIR=$PKG /bin/sh ./mach install || exit 1
 
 # We don't need these (just symlinks anyway):
 rm -rf $PKG/usr/lib${LIBDIRSUFFIX}/firefox-devel-$RELEASEVER
Most of the changes are because I am not fond of adding "." to the path for root.
 
1 members found this post helpful.
Old 03-03-2018, 04:41 AM   #23
elcore
Member
 
Registered: Sep 2014
Distribution: Slackware
Posts: 528

Rep: Reputation: Disabled
You can omit both the dot and the slash if you write /bin/sh
 
Old 03-03-2018, 04:50 AM   #24
enorbet
Senior Member
 
Registered: Jun 2003
Location: Virginia
Distribution: Slackware = Main OpSys for decades while testing others to keep up
Posts: 1,957

Rep: Reputation: 1855Reputation: 1855Reputation: 1855Reputation: 1855Reputation: 1855Reputation: 1855Reputation: 1855Reputation: 1855Reputation: 1855Reputation: 1855Reputation: 1855
Nice work, aaazen! I may have to install Current on it's own partition to duplicate. Almost daily I "bump heads" with pulseaudio and would dearly like to minimize the need if not remove it altogether.
 
Old 03-13-2018, 08:26 PM   #25
aaazen
Member
 
Registered: Dec 2009
Posts: 357

Rep: Reputation: 213Reputation: 213Reputation: 213
Quote:
Originally Posted by GazL View Post
When I try playing the http://bbc.co.uk/html5 video player example in firefox I only get sound if I've started pulseaudio first. Without pulseaudio running, the video plays but there is no sound, and the following is written to stderr:
Code:
test@ws1:~$ firefox 
Sandbox: seccomp sandbox violation: pid 27864, tid 27972, syscall 16, args 54 2147767296 139688108567532 0 0 0.
Sandbox: seccomp sandbox violation: pid 27864, tid 27972, syscall 16, args 54 2147767296 139688108567532 0 0 0.
[Child 27864, MediaPlayback #1] WARNING: 7f0bae860940 OpenCubeb() failed to init cubeb: file /tmp/firefox-58.0/dom/media/AudioStream.cpp, line 387
[Child 27864, MediaPlayback #1] WARNING: Decoder=7f0ba56ae200 [OnMediaSinkAudioError]: file /tmp/firefox-58.0/dom/media/MediaDecoderStateMachine.cpp, line 3642
When pulseaudio is running, no messages are shown and sound can be heard.

I'm aware that the official mozilla builds of firefox have dropped support for ALSA, but I was under the impression that Pat was still building it with ALSA support compiled in. Has this changed with the new build script mentioned in today's changelog, or is this something that's happened upstream which now breaks use of ALSA?

BTW, No issues with google-chrome, which works both with and without the pulseaudio daemon running.
Patrick has just fixed this for everybody when he upgraded Slackware current to Firefox to 59.0.
Thanks Patrick!

Mozilla still supports alsa but they broke the "--enable-alsa" compile option in Firefox 58.0 and then fixed it in 59.0
 
2 members found this post helpful.
Old 03-14-2018, 05:30 AM   #26
GazL
Senior Member
 
Registered: May 2008
Posts: 4,754
Blog Entries: 14

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by aaazen View Post
Mozilla still supports alsa but they broke the "--enable-alsa" compile option in Firefox 58.0 and then fixed it in 59.0
Firefox still works with ALSA for now, assuming you can build your own (or Pat does it for you ) but that's far from Mozilla "supporting" ALSA. They disable it in their official builds and have made it clear that they have no intention to maintain the alsa code going forward.

I'm glad the configure option got fixed, but that doesn't really change the longterm outlook. If they ever make a change that breaks the firefox ALSA code then my guess is that they'll remove it rather than fix it.

Anyway, my pessimism aside, thanks for the update.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] [JACK/ALSA] Timidity++ not producing any sound under Jack using its ALSA output since a "current" upgrade. Geist Slackware 2 09-10-2017 02:02 AM
Linux and ALSA default sound card, two methods fail to set firefox/chrome sound. jon_k Linux - Hardware 2 10-03-2013 07:09 AM
ALSA. 2 cards. Firefox no sound. Arla Linux - Software 8 10-05-2009 04:34 PM
how can i get sound out of firefox on redhat EL3 with ALSA java Linux - Newbie 4 06-06-2008 08:24 AM
ALSA Sound delay with Flash in Firefox Rikra Debian 2 05-11-2005 09:28 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 10:39 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration